package net.knarcraft.clearonworldguard;

import org.bukkit.Bukkit;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.plugin.java.JavaPlugin;

import java.util.logging.Logger;

@SuppressWarnings("unused")
public final class ClearOnWorldGuard extends JavaPlugin {
    
    private static ClearOnWorldGuard instance;

    @Override
    public void onEnable() {
        instance = this;
        this.saveDefaultConfig();
        this.reloadConfig();
        FileConfiguration configuration = this.getConfig();
        
        // Register the WorldGuard listener
        Bukkit.getPluginManager().registerEvents(new WorldGuardListener(configuration), this);
    }

    /**
     * Gets the logger used by this plugin
     * 
     * @return <p>The logger used by this plugin</p>
     */
    public static Logger logger() {
        return instance.getLogger();
    }
    
}
